import { r as registerInstance, h } from './index-7a106f9f.js';
import { f as footerItems, a as footerInfo, s as subscribeText, c as subscribeBlockText, h as events, p as popularNews, i as bannerPopular, b as blogPost, j as blogCarouselMock, m as menu, l as logoUrl } from './mock-ac8aa152.js';
var sSaqhanComponentCss = "";
var SSaqhanComponent = /** @class */ (function () {
    function SSaqhanComponent(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanComponent.prototype.render = function () {
        var _this = this;
        return (h("div", null, h("s-saqhan-header-app", { menu: menu, subscribeText: subscribeText, logoUrl: logoUrl, onClickToLogo: function (item) {
                console.log("clickOnLogo", item);
            }, onClickOnMenu: function (item) { return _this.clickOnMenu(item); }, onClickOnSubscribeButton: function (event) { return _this.clickOnSubscribeButton(event); } }), h("s-saqhan-first-slider", { onClickOnCategoryNews: function (event) { return _this.clickOnCategoryNews(event); }, onClickOnNews: function (event) { return _this.clickOnNews(event); }, blogCarouselMock: blogCarouselMock }), h("s-saqhan-new-blog", { blogPost: blogPost, onClickOnNews: function (event) { return _this.clickOnNews(event); }, onClickOnCategoryNews: function (event) { return _this.clickOnCategoryNews(event); } }), h("s-saqhan-popular-news", { popularNews: popularNews, bannerPopular: bannerPopular, onClickOnNews: function (event) { return _this.clickOnNews(event); } }), h("s-saqhan-events-blog", { onClickOnNews: function (event) { return _this.clickOnNews(event); }, onClickOnCategoryNews: function (event) { return _this.clickOnCategoryNews(event); }, events: events }), h("s-saqhan-subsc-banner", { subscribeText: subscribeText, subscribeBlockText: subscribeBlockText, onClickOnSubscribeButton: function (event) { return _this.clickOnSubscribeButton(event); } }), h("s-saqhan-app-footer", { onClickOnMenu: function (item) { return _this.clickOnMenu(item); }, footerItems: footerItems, footerInfo: footerInfo }), h("s-saqhan-chat-app", null)));
    };
    /**
     *  Клик по меню
     */
    SSaqhanComponent.prototype.clickOnMenu = function (_a) {
        var detail = _a.detail;
        return console.log(detail);
    };
    /**
     *  Клик по новости
     * */
    SSaqhanComponent.prototype.clickOnNews = function (_a) {
        var detail = _a.detail;
        return console.log(detail);
    };
    /**
     *  Клик по категории публикации
     * */
    SSaqhanComponent.prototype.clickOnNewsCategory = function (_a) {
        var detail = _a.detail;
        return console.log(detail);
    };
    /**
     *  Клик по кнопке подписаться
     * */
    SSaqhanComponent.prototype.clickOnSubscribeButton = function (_a) {
        var detail = _a.detail;
        return console.log(detail);
    };
    /**
     *  Клик по категории
     * */
    SSaqhanComponent.prototype.clickOnCategoryNews = function (_a) {
        var detail = _a.detail;
        return console.log(detail);
    };
    return SSaqhanComponent;
}());
SSaqhanComponent.style = sSaqhanComponentCss;
export { SSaqhanComponent as s_saqhan_component };
