import { r as registerInstance, h } from './index-7a106f9f.js';
import { f as footerItems, a as footerInfo, s as subscribeText, c as subscribeBlockText, h as events, p as popularNews, i as bannerPopular, b as blogPost, j as blogCarouselMock, m as menu, l as logoUrl } from './mock-ac8aa152.js';

const sSaqhanComponentCss = "";

const SSaqhanComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", null, h("s-saqhan-header-app", { menu: menu, subscribeText: subscribeText, logoUrl: logoUrl, onClickToLogo: (item) => {
                console.log("clickOnLogo", item);
            }, onClickOnMenu: (item) => this.clickOnMenu(item), onClickOnSubscribeButton: (event) => this.clickOnSubscribeButton(event) }), h("s-saqhan-first-slider", { onClickOnCategoryNews: (event) => this.clickOnCategoryNews(event), onClickOnNews: (event) => this.clickOnNews(event), blogCarouselMock: blogCarouselMock }), h("s-saqhan-new-blog", { blogPost: blogPost, onClickOnNews: (event) => this.clickOnNews(event), onClickOnCategoryNews: (event) => this.clickOnCategoryNews(event) }), h("s-saqhan-popular-news", { popularNews: popularNews, bannerPopular: bannerPopular, onClickOnNews: (event) => this.clickOnNews(event) }), h("s-saqhan-events-blog", { onClickOnNews: (event) => this.clickOnNews(event), onClickOnCategoryNews: (event) => this.clickOnCategoryNews(event), events: events }), h("s-saqhan-subsc-banner", { subscribeText: subscribeText, subscribeBlockText: subscribeBlockText, onClickOnSubscribeButton: (event) => this.clickOnSubscribeButton(event) }), h("s-saqhan-app-footer", { onClickOnMenu: (item) => this.clickOnMenu(item), footerItems: footerItems, footerInfo: footerInfo }), h("s-saqhan-chat-app", null)));
    }
    /**
     *  Клик по меню
     */
    clickOnMenu({ detail }) {
        return console.log(detail);
    }
    /**
     *  Клик по новости
     * */
    clickOnNews({ detail }) {
        return console.log(detail);
    }
    /**
     *  Клик по категории публикации
     * */
    clickOnNewsCategory({ detail }) {
        return console.log(detail);
    }
    /**
     *  Клик по кнопке подписаться
     * */
    clickOnSubscribeButton({ detail }) {
        return console.log(detail);
    }
    /**
     *  Клик по категории
     * */
    clickOnCategoryNews({ detail }) {
        return console.log(detail);
    }
};
SSaqhanComponent.style = sSaqhanComponentCss;

export { SSaqhanComponent as s_saqhan_component };
