'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-9b9440d2.js');

const sSaqhanChatAddQuestionCss = ".btn-new-ask{text-align:center;margin-top:10px}.btn-add-question{border-radius:30px;padding:10px 30px;border:none;background-color:#72b94d;color:#ffffff;text-transform:uppercase;font-size:12px;outline:none;letter-spacing:1px}";

const SSaqhanChatAddQuestion = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "btn-new-wrap" }, index.h("div", { class: "btn-new-ask" }, index.h("button", { class: "btn-add-question" }, "\u0417\u0430\u0434\u0430\u0442\u044C \u043D\u043E\u0432\u044B\u0439 \u0432\u043E\u043F\u0440\u043E\u0441"))));
    }
};
SSaqhanChatAddQuestion.style = sSaqhanChatAddQuestionCss;

const sSaqhanChatMainUserCss = ".main-wrapper{width:100%;padding:15px 0px;border-bottom:1px solid #ececec}";

const SSaqhanChatMainUser = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    // getUserMain(arr): any[] {
    //   return arr.map((item) => item.main);
    // }
    render() {
        return (index.h("div", { class: "main-wrapper" }, index.h(MainUserMessage, { main: this.mainUser })));
    }
};
const MainUserMessage = (props) => {
    return props.main.map((item) => {
        return index.h("s-saqhan-chat-main-user-card", { main: item });
    });
};
SSaqhanChatMainUser.style = sSaqhanChatMainUserCss;

const sSaqhanChatUserCss = "";

const SSaqhanChatUser = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    // getUser(arr): any[] {
    //   return arr.map((item) => item.main);
    // }
    render() {
        return (index.h("div", { class: "user-wrapper" }, index.h(UserMessage, { user: this.messages })));
    }
};
const UserMessage = (props) => {
    return props.user.map(item => {
        return index.h("s-saqhan-chat-user-card", { user: item });
    });
};
SSaqhanChatUser.style = sSaqhanChatUserCss;

exports.s_saqhan_chat_add_question = SSaqhanChatAddQuestion;
exports.s_saqhan_chat_main_user = SSaqhanChatMainUser;
exports.s_saqhan_chat_user = SSaqhanChatUser;
