'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-9b9440d2.js');
const mock = require('./mock-27d0b57b.js');

const sSaqhanChatFilesWrapperCss = "";

const SSaqhanChatFilesWrapper = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", null, index.h("s-saqhan-chat-form-search-files", null), index.h("s-saqhan-chat-files", null)));
    }
};
SSaqhanChatFilesWrapper.style = sSaqhanChatFilesWrapperCss;

const sSaqhanChatPersonalCss = ".header-chat a{position:relative;right:-25%;display:block;top:3px;padding-bottom:3px;border-radius:50%;width:25px}.header-chat a i{font-size:25px;color:#ccc}.header-chat a i:hover{color:#72b94d}.personal-messages .user{-ms-flex-align:center;align-items:center}.personal-messages{width:100%}.personal-messages .chat-user-main{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:justify;justify-content:space-between;margin:10px;padding-left:15px}.personal-messages .chat-user-main .user-img{width:50px;padding-right:5px}.name{font-weight:500}.menu-personal i{color:#ccc;margin-right:15px;cursor:pointer}.btn-back::after{content:\"1\";background-color:#c73f45;padding:1px 6px;color:#fff;font-size:10px;border-radius:30px;position:relative;right:7px;top:-15px;z-index:999}.btn-back{cursor:pointer}.btn-back span i{color:#a9a9a9;font-size:15px}.personal-mess,.admin-mess{padding:0 15px;font-size:14px}.personal-mess{display:-ms-flexbox;display:flex;-ms-flex-pack:end;justify-content:flex-end}.mess-user{padding:10px;background-color:#feffc5;border-radius:3px;width:80%;margin:5px 0}.mess-admin{background-color:#ececec;width:80%;padding:10px;border-radius:3px;margin:10px 0}.position-admin span{font-size:12px;color:#8e8e8e;font-weight:500}.mess-date{font-size:11px;color:#8e8e8e;margin-left:5px}.mess-date::before{content:\"\\f058\";font-family:\"Font Awesome 5 Free\";color:#9a9ab5;font-size:10px;margin-right:3px}.messages-block{height:66vh}.messages-block{overflow:scroll;overflow-x:hidden}@media (max-width: 414px){.messages-block{height:74vh}}@media (max-width: 375px){.messages-block{height:72vh}}@media (max-width: 320px){.wrapper-chat{width:100%;height:100vh}.messages-block{height:67vh}}@media (height: 1366px) and (width: 1024px ){.messages-block{height:72vh}}";

const SSaqhanChatPersonal = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.selectUsers = index.createEvent(this, "selectUsers", 7);
    }
    render() {
        return (index.h("div", { class: "personal-messages" }, index.h("div", { class: "col-12 chat-user-main" }, index.h("div", { class: "user" }, index.h("div", { class: "btn-back", onClick: () => this.selectUsers.emit() }, index.h("span", null, index.h("i", { class: "fas fa-chevron-left" }))), index.h("div", { class: "user-img" }, index.h("div", { class: "img", style: { backgroundImage: "url(https://via.placeholder.com/500)" } })), index.h("div", { class: "personal-user" }, index.h("div", { class: "name" }, "\u041A\u0441\u0435\u043D\u0438\u044F"))), index.h("div", { class: "menu-personal" }, index.h("i", { class: "fas fa-ellipsis-v" }))), index.h("div", { class: "messages-block" }, index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "\u0412\u0438\u0440\u0443\u0441 \u044D\u0432\u043E\u043B\u0438\u0446\u0438\u043E\u043D\u0438\u0440\u0443\u0435\u0442!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "admin-mess" }, index.h("div", { class: "mess-admin" }, index.h("div", { class: "position-admin" }, index.h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), index.h("span", { class: "admin-text" }, "\u0422\u0430\u043A \u0434\u0430\u0432\u0430\u0439\u0442\u0435 \u0441\u043D\u0438\u043C\u0438\u043C \u043A\u0430\u0440\u0430\u043D\u0442\u0438\u043D, \u043F\u0443\u0441\u0442\u044C \u0432\u0441\u0435 \u0432\u044B\u0439\u0434\u0443\u0442 \u043D\u0430 \u0440\u0430\u0431\u043E\u0442\u0443!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "\u041C\u0438\u0440\u043E\u0432\u043E\u0439 \u0437\u0430\u0433\u043E\u0432\u0440, \u0432\u0441\u0435 \u043E\u0431 \u044D\u0442\u043E\u043C \u0437\u043D\u0430\u044E\u0442!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "admin-mess" }, index.h("div", { class: "mess-admin" }, index.h("div", { class: "position-admin" }, index.h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), index.h("span", { class: "admin-text" }, "\u041C\u044B \u0441 \u0412\u0430\u043C\u0438 \u0441\u043E\u0433\u043B\u0430\u0441\u043D\u044B \u0438 \u0441\u0435\u0439\u0447\u0430\u0441 \u043F\u0435\u0440\u0435\u0432\u0435\u043B\u0438 \u043C\u0438\u043B\u043B\u0438\u043E\u043D \u043D\u0430 \u043B\u0435\u0447\u0435\u043D\u0438\u0435."), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043E\u0447\u0435\u043D\u044C \u0446\u0435\u043D\u044E!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "\u0413\u0434\u0435 \u0434\u0435\u043D\u044C\u0433\u0438, \u041B\u0435\u0431\u043E\u0432\u0441\u043A\u0438\u0439?"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "Hello there! pls tell me, where a u?"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "admin-mess" }, index.h("div", { class: "mess-admin" }, index.h("div", { class: "position-admin" }, index.h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), index.h("span", { class: "admin-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043C\u044B \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0441\u0432\u044F\u0436\u0435\u043C\u0441\u044F \u0438 \u043F\u0435\u0440\u0435\u0432\u0435\u0434\u0435\u043C \u0441\u0443\u043C\u043C\u0443 \u0434\u0435\u043D\u0435\u0433 (\u043D\u0435\u0442)"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "Well done!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "admin-mess" }, index.h("div", { class: "mess-admin" }, index.h("div", { class: "position-admin" }, index.h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), index.h("span", { class: "admin-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043C\u044B \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0441\u0432\u044F\u0436\u0435\u043C\u0441\u044F \u0438 \u043F\u0435\u0440\u0435\u0432\u0435\u0434\u0435\u043C \u0441\u0443\u043C\u043C\u0443 \u0434\u0435\u043D\u0435\u0433 (\u043D\u0435\u0442)"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "Well done!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "admin-mess" }, index.h("div", { class: "mess-admin" }, index.h("div", { class: "position-admin" }, index.h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), index.h("span", { class: "admin-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043C\u044B \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0441\u0432\u044F\u0436\u0435\u043C\u0441\u044F \u0438 \u043F\u0435\u0440\u0435\u0432\u0435\u0434\u0435\u043C \u0441\u0443\u043C\u043C\u0443 \u0434\u0435\u043D\u0435\u0433 (\u043D\u0435\u0442)"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "Well done!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20")))), index.h("s-saqhan-chat-add-question", null)));
    }
};
SSaqhanChatPersonal.style = sSaqhanChatPersonalCss;

const sSaqhanChatUsersWrapperCss = ".chat-wrap{width:100%;height:65vh;overflow:overlay}@media (max-width: 414px){.chat-wrap{height:76vh}}@media (max-width: 375px){.chat-wrap{height:78vh}.chat-files .block-input::before{left:13px}}@media (max-width: 320px){.chat-wrap{height:72vh}.block-input{text-align:center}}@media (height: 1366px) and (width: 1024px ){.chat-wrap{height:72vh}}@media (height: 1024px) and (width: 768px ){.chat-wrap{height:68vh}}@media (max-width: 375px) and (max-height: 667px){.chat-wrap{height:74vh}}@media (max-width: 320px) and (max-height: 568px){.chat-wrap{height:68vh}}";

const SSaqhanChatUsersWrapper = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", null, index.h("s-saqhan-chat-form-search", null), index.h("div", { class: "chat-wrap" }, index.h("s-saqhan-chat-users", { messages: this.messages, mainUser: this.mainUser })), index.h("s-saqhan-chat-add-question", null)));
    }
};
SSaqhanChatUsersWrapper.style = sSaqhanChatUsersWrapperCss;

const sSaqhanChatWrapperCss = ".wrapper-chat{-webkit-box-shadow:0 0 10px 1px #828282;box-shadow:0 0 10px 1px #828282;border-radius:2px;margin-bottom:10px;width:400px;height:85vh;background-color:#fff}.header-chat{background-color:#ececec;text-align:center;padding:10px 0px;font-weight:500;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center}.header-chat a{position:relative;right:-25%;display:block;top:3px;padding-bottom:3px;border-radius:50%;width:25px}.header-chat a i{font-size:25px;color:#ccc}.header-chat a i:hover{color:#72b94d}@media (max-width: 414px){.wrapper-chat{width:414px;height:100vh}}@media (height: 1366px) and (width: 1024px ){.messages-block{height:72vh}}";

const SSaqhanChatWrapper = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.ShowContent = (content) => {
            switch (content) {
                case "personal":
                    return index.h("s-saqhan-chat-personal", null);
                case "users":
                    return index.h("s-saqhan-chat-users-wrapper", { messages: mock.messages, mainUser: mock.mainUser });
                case "files":
                    return index.h("s-saqhan-chat-files-wrapper", null);
            }
        };
        this.close = index.createEvent(this, "close", 7);
        this.selectPersonal = index.createEvent(this, "selectPersonal", 7);
        this.selectUsers = index.createEvent(this, "selectUsers", 7);
        this.selectFiles = index.createEvent(this, "selectFiles", 7);
    }
    render() {
        return (index.h("div", { class: "wrapper-chat" }, index.h("div", { class: "header-chat" }, "\u0427\u0430\u0442 \u0441 \u0431\u0430\u043D\u043A\u043E\u043C", index.h("a", { href: "#", onClick: () => this.close.emit() }, index.h("i", { class: "fas fa-times-circle" }))), index.h("div", { class: "content-chat" }, this.ShowContent(this.showContent))));
    }
};
SSaqhanChatWrapper.style = sSaqhanChatWrapperCss;

exports.s_saqhan_chat_files_wrapper = SSaqhanChatFilesWrapper;
exports.s_saqhan_chat_personal = SSaqhanChatPersonal;
exports.s_saqhan_chat_users_wrapper = SSaqhanChatUsersWrapper;
exports.s_saqhan_chat_wrapper = SSaqhanChatWrapper;
