'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-9b9440d2.js');
const mock = require('./mock-27d0b57b.js');

const sSaqhanComponentCss = "";

const SSaqhanComponent = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", null, index.h("s-saqhan-header-app", { menu: mock.menu, subscribeText: mock.subscribeText, logoUrl: mock.logoUrl, onClickToLogo: (item) => {
                console.log("clickOnLogo", item);
            }, onClickOnMenu: (item) => this.clickOnMenu(item), onClickOnSubscribeButton: (event) => this.clickOnSubscribeButton(event) }), index.h("s-saqhan-first-slider", { onClickOnCategoryNews: (event) => this.clickOnCategoryNews(event), onClickOnNews: (event) => this.clickOnNews(event), blogCarouselMock: mock.blogCarouselMock }), index.h("s-saqhan-new-blog", { blogPost: mock.blogPost, onClickOnNews: (event) => this.clickOnNews(event), onClickOnCategoryNews: (event) => this.clickOnCategoryNews(event) }), index.h("s-saqhan-popular-news", { popularNews: mock.popularNews, bannerPopular: mock.bannerPopular, onClickOnNews: (event) => this.clickOnNews(event) }), index.h("s-saqhan-events-blog", { onClickOnNews: (event) => this.clickOnNews(event), onClickOnCategoryNews: (event) => this.clickOnCategoryNews(event), events: mock.events }), index.h("s-saqhan-subsc-banner", { subscribeText: mock.subscribeText, subscribeBlockText: mock.subscribeBlockText, onClickOnSubscribeButton: (event) => this.clickOnSubscribeButton(event) }), index.h("s-saqhan-app-footer", { onClickOnMenu: (item) => this.clickOnMenu(item), footerItems: mock.footerItems, footerInfo: mock.footerInfo }), index.h("s-saqhan-chat-app", null)));
    }
    /**
     *  Клик по меню
     */
    clickOnMenu({ detail }) {
        return console.log(detail);
    }
    /**
     *  Клик по новости
     * */
    clickOnNews({ detail }) {
        return console.log(detail);
    }
    /**
     *  Клик по категории публикации
     * */
    clickOnNewsCategory({ detail }) {
        return console.log(detail);
    }
    /**
     *  Клик по кнопке подписаться
     * */
    clickOnSubscribeButton({ detail }) {
        return console.log(detail);
    }
    /**
     *  Клик по категории
     * */
    clickOnCategoryNews({ detail }) {
        return console.log(detail);
    }
};
SSaqhanComponent.style = sSaqhanComponentCss;

exports.s_saqhan_component = SSaqhanComponent;
