import { r as registerInstance, h } from './index-7a106f9f.js';
var sSaqhanChatAddQuestionCss = ".btn-new-ask{text-align:center;margin-top:10px}.btn-add-question{border-radius:30px;padding:10px 30px;border:none;background-color:#72b94d;color:#ffffff;text-transform:uppercase;font-size:12px;outline:none;letter-spacing:1px}";
var SSaqhanChatAddQuestion = /** @class */ (function () {
    function SSaqhanChatAddQuestion(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanChatAddQuestion.prototype.render = function () {
        return (h("div", { class: "btn-new-wrap" }, h("div", { class: "btn-new-ask" }, h("button", { class: "btn-add-question" }, "\u0417\u0430\u0434\u0430\u0442\u044C \u043D\u043E\u0432\u044B\u0439 \u0432\u043E\u043F\u0440\u043E\u0441"))));
    };
    return SSaqhanChatAddQuestion;
}());
SSaqhanChatAddQuestion.style = sSaqhanChatAddQuestionCss;
var sSaqhanChatMainUserCss = ".main-wrapper{width:100%;padding:15px 0px;border-bottom:1px solid #ececec}";
var SSaqhanChatMainUser = /** @class */ (function () {
    function SSaqhanChatMainUser(hostRef) {
        registerInstance(this, hostRef);
    }
    // getUserMain(arr): any[] {
    //   return arr.map((item) => item.main);
    // }
    SSaqhanChatMainUser.prototype.render = function () {
        return (h("div", { class: "main-wrapper" }, h(MainUserMessage, { main: this.mainUser })));
    };
    return SSaqhanChatMainUser;
}());
var MainUserMessage = function (props) {
    return props.main.map(function (item) {
        return h("s-saqhan-chat-main-user-card", { main: item });
    });
};
SSaqhanChatMainUser.style = sSaqhanChatMainUserCss;
var sSaqhanChatUserCss = "";
var SSaqhanChatUser = /** @class */ (function () {
    function SSaqhanChatUser(hostRef) {
        registerInstance(this, hostRef);
    }
    // getUser(arr): any[] {
    //   return arr.map((item) => item.main);
    // }
    SSaqhanChatUser.prototype.render = function () {
        return (h("div", { class: "user-wrapper" }, h(UserMessage, { user: this.messages })));
    };
    return SSaqhanChatUser;
}());
var UserMessage = function (props) {
    return props.user.map(function (item) {
        return h("s-saqhan-chat-user-card", { user: item });
    });
};
SSaqhanChatUser.style = sSaqhanChatUserCss;
export { SSaqhanChatAddQuestion as s_saqhan_chat_add_question, SSaqhanChatMainUser as s_saqhan_chat_main_user, SSaqhanChatUser as s_saqhan_chat_user };
