import { r as registerInstance, c as createEvent, h } from './index-7a106f9f.js';
var sSaqhanLentaNewsCardCss = ".btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.lenta-news{padding-bottom:20px;display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between;-ms-flex:1;flex:1}.lenta-img{width:110px;height:110px;background-size:cover;border-radius:3px;margin-right:35px}.lenta-info{-ms-flex:2;flex:2}.lenta-title{font-size:15px;margin-top:10px;font-weight:600}.btn-read span{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read span:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}@media (min-width: 768px){.lenta-title-first{width:100%}}";
var SSaqhanLentaNewsCard = /** @class */ (function () {
    function SSaqhanLentaNewsCard(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = function (nameCategory) {
            var classCategory = "category lenta-category small";
            switch (nameCategory) {
                case "Report":
                    return "report " + classCategory;
                case "Webinar":
                    return "webinar " + classCategory;
                case "Blog Post":
                    return "blog-post " + classCategory;
            }
        };
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
    }
    SSaqhanLentaNewsCard.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "lenta-news " }, h("div", { class: "lenta-img pr-4 custom-link", onClick: function () { return _this.clickOnNews.emit({ place: 'img', item: _this.lentaNews }); }, style: { backgroundImage: "url(" + this.lentaNews.img + ")" } }), h("div", { class: "lenta-info custom-link" }, h("div", { onClick: function () { return _this.clickOnNews.emit({ place: 'category', item: _this.lentaNews }); }, class: this.ColorCategory(this.lentaNews.category) }, this.lentaNews.category), h("div", { onClick: function () { return _this.clickOnNews.emit({ place: 'title', item: _this.lentaNews }); }, class: "lenta-title  custom-link" }, this.lentaNews.title), h("div", { class: "btn-read custom-link" }, h("span", { onClick: function () { return _this.clickOnNews.emit({ place: 'btn-read', item: _this.lentaNews }); } }, this.lentaNews.btnText)))));
    };
    return SSaqhanLentaNewsCard;
}());
SSaqhanLentaNewsCard.style = sSaqhanLentaNewsCardCss;
var sSaqhanMainNewsCardCss = ".btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.btn-read span{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read span:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}.custon-link{cursor:pointer}.img-news{height:308px;background-size:cover;background-position:center}.img-news img{width:100%;height:315px}.btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.category-news{font-weight:600}.btn-read a{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}@media (max-width: 768px){.main-news{margin-bottom:20px}}@media (max-width: 992px){.img-news img{height:auto}}";
var SSaqhanMainNewsCard = /** @class */ (function () {
    function SSaqhanMainNewsCard(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = function (nameCategory) {
            var classCategory = "category category-news pt-3 small custon-link";
            switch (nameCategory) {
                case "Report":
                    return "report " + classCategory;
                case "Webinar " + classCategory:
                    return "webinar " + classCategory;
                case "Blog Post":
                    return "blog-post " + classCategory;
            }
        };
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
    }
    SSaqhanMainNewsCard.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "main-news" }, h("div", null, h("div", { class: "img-news m-auto custon-link", onClick: function () { return _this.clickOnNews.emit({ place: 'img', item: _this.mainNews }); }, style: { backgroundImage: "url(" + this.mainNews.img + ")" } }), h("div", { onClick: function () { return _this.clickOnNews.emit({ place: 'category', item: _this.mainNews }); }, class: this.ColorCategory(this.mainNews.category) }, this.mainNews.category), h("div", { onClick: function () { return _this.clickOnNews.emit({ place: 'title', item: _this.mainNews }); }, class: "title-news pt-3 h2 font-weight-bold custon-link" }, this.mainNews.title), h("div", { onClick: function () { return _this.clickOnNews.emit({ place: 'subTitle', item: _this.mainNews }); }, class: "sub-title-news pt-3 pb-3 text-muted custon-link" }, this.mainNews.subTitle), h("span", { onClick: function () { return _this.clickOnNews.emit({ place: 'btn read', item: _this.mainNews }); }, class: "btn btn-primary btn-custom custon-link" }, this.mainNews.btnText))));
    };
    return SSaqhanMainNewsCard;
}());
SSaqhanMainNewsCard.style = sSaqhanMainNewsCardCss;
export { SSaqhanLentaNewsCard as s_saqhan_lenta_news_card, SSaqhanMainNewsCard as s_saqhan_main_news_card };
